Dokumentacja MGBI API
  1. pl-idpcit-record
Dokumentacja MGBI API
  • MGBI API
    • Wprowadzenie
    • Autoryzacja
    • Pojęcia
    • Modele danych
      • pl-krs-wp-record
      • pl-krs-rdf-record
      • pl-krz-wp-record
      • pl-wpv-record
      • pl-crbr-wp-record
      • pl-msig-record
      • pl-sudop-wpopb-record
      • pl-rdr-record
      • pl-idpcit-record
      • pl-mgbi-lu-record
    • Endpointy dla modeli danych
      • pl-krs-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krs-rdf-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Type Enum Values
        • Get Model Info
      • pl-krz-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-wpv-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-crbr-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-msig-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-sudop-wpopb-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-rdr-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-idpcit-record
        • Get Records
          GET
        • Get Record By Id
          GET
        • Stream Records
          GET
        • Get Limits
          GET
        • Get Projections
          GET
        • Get Model Info
          GET
      • pl-mgbi-lu-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Category
        • Get Model Info
    • Zlecanie odświeżenia danych
      • Ogólne informacje
      • Create Refresh
      • Get Refresh
    • Tworzenie raportów
      • Ogólne informacje
      • Create Report
      • Get Report By Id
      • Get Reports
      • Download Report
      • Delete Report
  1. pl-idpcit-record

Stream Records

GET
/v1/models/pl-idpcit-record/stream
Pobiera rekordy z indywidualnymi danymi podatników CIT spełniające podane kryteria w postaci strumienia danych.
W przypadku sukcesu w odpowiedzi zwraca listę rekordów.
W przypadku braku rekordów spełniających podane kryteria zwraca pustą listę.
Poprawne wywołanie endpointu zwiększa liczniki:
api i api_search o 1
api_search_results o 1 jeśli zwrócono co najmniej jeden rekord
records i records_api_search o liczbę zwróconych rekordów

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.mgbi.pl/v1/models/pl-idpcit-record/stream?meta.last_update_datetime_from=&meta.last_update_datetime_to=&identifiers.pl_krs=&identifiers.pl_nip=&identifiers.pl_regon=&list.fiscal_year=&list.version_date=&projection=&content=&media_type=' \
--header 'Authorization;'

Responses

🟢200Successful Response
application/json
Lista rekordów
Body

Example
[
    {
        "content": {
            "standardized_fields": {
                "aloreeitcg": "",
                "h_on": "1",
                "h_tn": "'BANK POLSKA KASA OPIEKI' SPÓŁKA AKCYJNA",
                "h_tyf": "2024-01-01",
                "h_tyt": "2024-12-31",
                "h_vm": "5260006841",
                "l_tl": "",
                "l_tl_fcg": "",
                "l_tl_fosor": "",
                "l_tl_fqipr": "",
                "p_tp": "10646261337.08",
                "p_tp_fcg": "453912.9",
                "p_tp_fosor": "10645807424.18",
                "p_tp_fqipr": "",
                "r_tr": "3329994458002.96",
                "r_tr_fcg": "453912.9",
                "r_tr_fosor": "3329994004090.06",
                "r_tr_fqipr": "",
                "tb": "10567905901",
                "tb_fqipr": "",
                "td": "1915291155",
                "td_fqipr": "",
                "tde_ttde": "3319348196665.88",
                "tde_ttde_fcg": "",
                "tde_ttde_fosor": "3319348196665.88",
                "tde_ttde_fqipr": ""
            }
        },
        "id": "000000000000000000000000",
        "identifiers": {
            "pl_krs": "0000028860",
            "pl_nip": "7740001454",
            "pl_regon": "610188201"
        },
        "list": {
            "entity_type": "pod",
            "fiscal_year": "2024",
            "version_date": "2025-08-01"
        },
        "meta": {
            "first_update_datetime": "2024-04-01T00:00:00",
            "last_update_datetime": "2024-04-03T00:00:00"
        }
    }
]
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠429Too Many Requests
Modified at 2026-03-09 12:48:43
Previous
Get Record By Id
Next
Get Limits
Built with